Bug 971881 - Shutting down Swift services trough initscripts doesn't add a newline
Shutting down Swift services trough initscripts doesn't add a newline
Status: CLOSED NEXTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-swift (Show other bugs)
3.0
Unspecified Unspecified
medium Severity low
: beta
: 4.0
Assigned To: Pete Zaitcev
Dafna Ron
: Triaged
Depends On: 927423
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 09:36 EDT by Martina Kollarova
Modified: 2016-04-26 14:04 EDT (History)
10 users (show)

See Also:
Fixed In Version: openstack-swift-1.8.0-7.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 927423
Environment:
Last Closed: 2013-10-08 15:49:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
abaron: internal‑review+


Attachments (Terms of Use)
Proposed fix (538 bytes, patch)
2013-06-24 18:07 EDT, Pete Zaitcev
apevec: review+
abaron: review+
Details | Diff

  None (edit)
Description Martina Kollarova 2013-06-07 09:36:40 EDT
+++ This bug was initially created as a clone of Bug #927423 +++

It would be nice if it was more explicit which command does a soft and which does a hard shutdown. Maybe add some note about it in the help message?

Also, I'm not getting a newline, so the output gets mangled up. This does not happen with the 'restart' command, for example.

[root@server ~]# service openstack-swift-proxy shutdown 
[root@server ~]# ack-swift-proxy:                       [  OK  ]
Comment 2 Pete Zaitcev 2013-06-24 18:07:30 EDT
Created attachment 764792 [details]
Proposed fix

I'm not sure about the help message. It is virtually unknown for
init scripts to include anything in the help message other than
a list of commands.

The missing newline was my bug, fix is attached for review.
Comment 8 Ayal Baron 2013-07-23 10:12:17 EDT
I reviewed the patch, it adds an empty line at the end of the output to fix output (code review only, not verified).
It does not address the hard vs. soft shutdown issue though.
For that if you want, please file an 'improvement' bug.
Comment 9 Martina Kollarova 2013-07-23 14:36:53 EDT
So, what exactly is the [needinfo] question?
Comment 11 Pete Zaitcev 2013-10-08 15:49:49 EDT
This is fixed in RHOS 3 1.8.0-7, verified in RHOS 4 1.9.1-1.

Note You need to log in before you can comment on or make changes to this bug.